Skip to content
CARP Docs
Ask AISystemLightDark

Get data streams summary

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
GET
/api/data-stream-service/summary
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

studyId*string
deploymentId?string
participantId?string
scope*string
type*string
from*string
to*string

Response body

OK

*/*
  1. response
data?array<>
studyId?string
deploymentId?string|null
participantId?string|null
scope?string
type?string
from?
to?
Example request
curl -X GET 'https://dev.carp.dk/api/data-stream-service/summary?studyId=string&scope=string&type=string&from=string&to=string'
Example response
{  "data": [    {      "date": {        "epochSeconds": 0,        "nanosecondsOfSecond": 0      },      "task": "string",      "quantity": 0    }  ],  "studyId": "string",  "deploymentId": "string",  "participantId": "string",  "scope": "string",  "type": "string",  "from": {    "epochSeconds": 0,    "nanosecondsOfSecond": 0  },  "to": {    "epochSeconds": 0,    "nanosecondsOfSecond": 0  }}

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture